---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libma02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x46BC, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B180, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D0C0, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D4A8, symBinAddr: 0xE4F8, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E448, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E450, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4AE08, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4AE0C, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4AE10, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4AF60, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B018, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B01C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B020, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B024, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B028, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B030, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4B040, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B048, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B050, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B058, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B060, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B068, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL17VMInitEventsCount, symObjAddr: 0x4B0AC, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL18VMDeathEventsCount, symObjAddr: 0x4B0B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4B0B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3680, symSize: 0xA0 }
  - { offsetInCU: 0x95B2, offset: 0x95B2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3658, symSize: 0x28 }
  - { offsetInCU: 0x9615, offset: 0x9615, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x35D8, symSize: 0x80 }
  - { offsetInCU: 0x98A9, offset: 0x98A9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3720, symSize: 0x34 }
  - { offsetInCU: 0x9903, offset: 0x9903, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3754, symSize: 0x20C }
  - { offsetInCU: 0x9ABC, offset: 0x9ABC, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3960, symSize: 0x28 }
  - { offsetInCU: 0x9B85, offset: 0x9B85, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3988, symSize: 0xB0 }
  - { offsetInCU: 0x9C7C, offset: 0x9C7C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3A38, symSize: 0xD8 }
  - { offsetInCU: 0x9DCD, offset: 0x9DCD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3B10, symSize: 0x24 }
  - { offsetInCU: 0x9EB0, offset: 0x9EB0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3B34, symSize: 0x168 }
  - { offsetInCU: 0xA08C, offset: 0xA08C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3C9C, symSize: 0x104 }
  - { offsetInCU: 0xA33D, offset: 0xA33D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3DA0, symSize: 0x3F8 }
  - { offsetInCU: 0xA561, offset: 0xA561, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4198, symSize: 0x154 }
  - { offsetInCU: 0xA745, offset: 0xA745, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x42EC, symSize: 0xAC }
  - { offsetInCU: 0xA81A, offset: 0xA81A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4398, symSize: 0x14 }
  - { offsetInCU: 0xA853, offset: 0xA853, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x43AC, symSize: 0x14 }
  - { offsetInCU: 0xA88C, offset: 0xA88C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x43C0, symSize: 0x14 }
  - { offsetInCU: 0xAA6D, offset: 0xAA6D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x43D4, symSize: 0x1A8 }
  - { offsetInCU: 0xAD77, offset: 0xAD77, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x457C, symSize: 0x140 }
  - { offsetInCU: 0xAF18, offset: 0xAF18, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x492C, symSize: 0x1C0 }
  - { offsetInCU: 0xB1F5, offset: 0xB1F5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4AEC, symSize: 0x9C }
  - { offsetInCU: 0xB2B2, offset: 0xB2B2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4B88, symSize: 0x690 }
  - { offsetInCU: 0xBE44, offset: 0xBE44, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9168, symBinAddr: 0x62C0, symSize: 0x30 }
  - { offsetInCU: 0xBED0, offset: 0xBED0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5218, symSize: 0x74 }
  - { offsetInCU: 0xBFB8, offset: 0xBFB8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x528C, symSize: 0xB0 }
  - { offsetInCU: 0xC0C3, offset: 0xC0C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x4BA0, symBinAddr: 0x533C, symSize: 0x1E4 }
  - { offsetInCU: 0xC305, offset: 0xC305, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x4D84, symBinAddr: 0x5520, symSize: 0x320 }
  - { offsetInCU: 0xC77A, offset: 0xC77A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5840, symSize: 0x3C }
  - { offsetInCU: 0xC870, offset: 0xC870, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x587C, symSize: 0x29C }
  - { offsetInCU: 0xCBB3, offset: 0xCBB3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5B18, symSize: 0xD0 }
  - { offsetInCU: 0xCCE1, offset: 0xCCE1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5BE8, symSize: 0xC }
  - { offsetInCU: 0xCDA3, offset: 0xCDA3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5BF4, symSize: 0x22C }
  - { offsetInCU: 0xD05E, offset: 0xD05E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5E20, symSize: 0x4 }
  - { offsetInCU: 0xD0A2, offset: 0xD0A2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5E20, symSize: 0x4 }
  - { offsetInCU: 0xD0BB, offset: 0xD0BB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5E24, symSize: 0x334 }
  - { offsetInCU: 0xD430, offset: 0xD430, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9000, symBinAddr: 0x6158, symSize: 0x4 }
  - { offsetInCU: 0xD474, offset: 0xD474, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9000, symBinAddr: 0x6158, symSize: 0x4 }
  - { offsetInCU: 0xD48D, offset: 0xD48D, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9004, symBinAddr: 0x615C, symSize: 0x38 }
  - { offsetInCU: 0xD4D8, offset: 0xD4D8, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0x903C, symBinAddr: 0x6194, symSize: 0x38 }
  - { offsetInCU: 0xD519, offset: 0xD519, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9074, symBinAddr: 0x61CC, symSize: 0x70 }
  - { offsetInCU: 0xD595, offset: 0xD595, size: 0x8, addend: 0x0, symName: _Agent_OnUnload, symObjAddr: 0x90E4, symBinAddr: 0x623C, symSize: 0x84 }
  - { offsetInCU: 0xD5EC, offset: 0xD5EC, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9198, symBinAddr: 0x62F0, symSize: 0x358 }
...
